Bug 991358 - Unexpected not productized artifact in EAP 6 maven repo zip
Unexpected not productized artifact in EAP 6 maven repo zip
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity high
: ER7
: EAP 6.3.0
Assigned To: Paul Gier
Nikoleta Ziakova
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 04:33 EDT by Nikoleta Ziakova
Modified: 2014-06-30 09:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:43:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-08-02 04:33:56 EDT
Description of problem:
Maven repo zip contains 2 not productized artifacts - jboss-parent-10 and commons-parent-14. According to readme jboss-parent-10 is expected but commons-parent-14 is not.

Version-Release number of selected component:
EAP 6.1.1 ER4

http://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-productized-files/46/testReport/
Comment 1 Nikoleta Ziakova 2013-08-14 06:52:23 EDT
New unexpected not productized artifact in Maven repo for EAP 6.1.1 ER5 -- log4j-1.2.16

For list of all not productized artifacts see https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-productized-files/47/testReport/
Comment 2 Paul Gier 2013-08-20 21:26:13 EDT
I switched log4j back to our productized version.  It's kind of a strange case because it's not shipped with the runtime zip, but it is included in the build of the EAP runtime, so I'm not sure if we support it or not.

Unfortunately, the commons-parent pom is still in the repository.  To remove it requires a rebuild of commons-beanutils which some other stuff depends on, and it's risky to rebuild it at this point.  We can address this for 6.2.
Comment 3 Nikoleta Ziakova 2013-08-22 08:02:07 EDT
Except commons-parent pom there are two unexpected not productized artifacts in maven repo zip for EAP 6.1.1 ER7:

commons-httpclient-3.1-jbossorg-1
jnpserver-5.0.3.GA
Comment 4 Nikoleta Ziakova 2013-09-25 04:11:06 EDT
Results for EAP 6.2.0 ER3:

total number of not-productized artifacts: 20

A. BOMs with version 6.2.0.Beta1:
jboss-eap-bom-parent-6.2.0.Beta1
jboss-javaee-6.0-with-hibernate-6.2.0.Beta1
jboss-javaee-6.0-with-hibernate3-6.2.0.Beta1
jboss-javaee-6.0-with-logging-6.2.0.Beta1
jboss-javaee-6.0-with-osgi-6.2.0.Beta1
jboss-javaee-6.0-with-resteasy-6.2.0.Beta1
jboss-javaee-6.0-with-security-6.2.0.Beta1
jboss-javaee-6.0-with-tools-6.2.0.Beta1
jboss-javaee-6.0-with-transactions-6.2.0.Beta1
eap6-supported-artifacts-6.2.0.Beta1

B. According to readme.txt jboss-parent-10 was expected in EAP 6.1 but there is nothing about it in 6.2 readme.txt: http://download.devel.redhat.com/devel/candidates/JBEAP/JBEAP-6.2.0.ER3/readme.txt 
jboss-parent-11 is new in EAP 6.2

C. Other not productized artifacts:
staxmapper-1.1.0.Final
weld-parent-17
weld-parent-21
httpserver-1.0.0.Final
log4j-1.2.16
commons-httpclient-3.1-jbossorg-1
jnpserver-5.0.3.GA
commons-parent-14
Comment 5 Nikoleta Ziakova 2014-02-12 08:01:09 EST
Update for EAP 6.3.0 DR0:

34 not productized artifacts in Maven repo:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-productized-files/lastCompletedBuild/testReport/
Comment 6 Nikoleta Ziakova 2014-04-08 10:27:47 EDT
Here are the results for EAP 6.3.0 ER1 grouped by group-id (without BOMs and parents):

(1) aopalliance
aopalliance-1.0

(2) jfree
jcommon-1.0.12
jfreechart-1.0.9

(3) junit
junit-4.11

(4) log4j
log4j-1.2.16

(5) org.apache
apache-11
apache-13

(6) org.apache.maven
maven-3.1.0
maven-aether-provider-3.1.0
maven-model-3.1.0
maven-model-builder-3.1.0
maven-repository-metadata-3.1.0

(7) org.apache.mina
mina-core-2.0.7

(8) org.codehaus.plexus
plexus-2.0.7
plexus-3.3.1
plexus-3.3
plexus-classworlds-2.4
plexus-component-annotations-1.5.5
plexus-components-1.3
plexus-containers-1.5.5
plexus-interpolation-1.16
plexus-utils-3.0.12

(9) org.eclipse.aether
aether-0.9.0.M3
aether-api-0.9.0.M3
aether-connector-basic-0.9.0.M3
aether-impl-0.9.0.M3
aether-spi-0.9.0.M3
aether-transport-file-0.9.0.M3
aether-transport-http-0.9.0.M3
aether-util-0.9.0.M3

(10) org.eclipse.sisu
org.eclipse.sisu.inject-0.0.0.M2a
org.eclipse.sisu.plexus-0.0.0.M2a
sisu-inject-0.0.0.M2a
sisu-plexus-0.0.0.M2a

(11) org.hamcrest
hamcrest-core-1.3

(12) org.jboss.byteman
byteman-2.1.4.1
byteman-root-2.1.4.1
byteman-submit-2.1.4.1

(13) org.jboss.logging
jboss-logging-spi-2.0.5.GA

(14) org.jboss.ws
jbossws-api-1.0.0.GA

(15) org.sonatype.sisu
sisu-guice-3.1.0

(16) these were not productized in 6.2.0.GA either
commons-httpclient-3.1
jnpserver-5.0.3.GA

Please decide which of these can be fixed and I will create separate BZ issues for them, keeping this one as a tracking BZ.
Comment 7 Nikoleta Ziakova 2014-04-22 09:31:25 EDT
4 remaining failures in EAP 6.3.0 ER2:

staxmapper-1.1.0.Final
commons-httpclient-3.1-jbossorg-1
jnpserver-5.0.3.GA
jbossws-api-1.0.0.GA
Comment 8 Vladimir Dosoudil 2014-06-23 04:39:56 EDT
Those 4 "failures" are expected additional (imported) dependencies:
staxmapper-1.1.0.Final - transitive dependency of hibernate-infinispan
commons-httpclient-3.1-jbossorg-1 - transitive dependency of jbosstxbridge
jnpserver-5.0.3.GA - transitive dependency of hornetq-jms-server
jbossws-api-1.0.0.GA - required by wsat-simple quickstart
Comment 9 Nikoleta Ziakova 2014-06-23 09:15:44 EDT
Verified with EAP 6.3.0.ER7.

Note You need to log in before you can comment on or make changes to this bug.